explain_mkdir_or_die(3)

NAME
explain_mkdir_or_die - create a directory and report errors

SYNOPSIS
#include <libexplain/mkdir.h>

void explain_mkdir_or_die(const char *pathname);

DESCRIPTION
The explain_mkdir_or_die function is used to call the mkdir(2) system call. On failure an explanation will be printed to stderr, obtained from explain_mkdir(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_mkdir_or_die(pathname);

pathname
    The pathname, exactly as to be passed to the mkdir(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

mkdir(2)
    create a directory

explain_mkdir(3)
    explain mkdir(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller